Page MenuHome

EEVEE Has Glitch on Startup
Closed, ResolvedPublic

Description

Operating system: Windows 10
Graphics card: Intel(R) HD Graphics 520

Broken: 2.80.0, 4c31bed6b46 (Beta1)

EEVEE does not Render Properly.

When i enter viewport rendered view it creates some glitches on the Edge of the model, and when i hit Render Image button it gives the transparent output on some areas.

system-info{F6034649}

Details

Type
Bug

Event Timeline

Stephen Swaney (stiv) triaged this task as Needs Information from User priority.

from your system-info: blender2.8, commit date: 2018-11-30
That is a bit old. Lots of fixes since then. You might try a newer build.

If the bug persists, please attach a .blend so we can see your settings.

Something similar happens for mee too... Latest blender 2.8, rendering default cube from default view:
On Ubuntu 17.10:


On Ubuntu 18.04:

System Information
Operating system: Ubuntu 17.10 and Ubuntu 18.04 (Updated few minutes ago...)
CPU: AMD A10 5800K
RAM: 4x4GB DDR3 1600Mhz
Graphics card: (integrated graphics only: Trinity [Radeon HD 7660D])

Blender Version
Broken: 2.80, f1f8859ad52b, blender2.8, 2018-12-21 21:14

Is this still an issue with a current build?

On Ubuntu 17.10 (no change):

On Ubuntu 18.04 (Better but still not fixed...):

System Information
Operating system: Ubuntu 17.10 and Ubuntu 18.04(up to date)
CPU: AMD A10 5800K
RAM: 4x4GB DDR3 1600Mhz
Graphics card: (integrated graphics only: Trinity [Radeon HD 7660D])

Blender Version
Broken: 2.80, 62ac0996e76c, blender2.8, 2019-01-14 23:54

Philipp Oeser (lichtwerk) raised the priority of this task from Needs Information from User to Normal.

Lets see if @Clément Foucault (fclem) can proceed with this

try running blender with --debug-gpu-force-workarounds

First I tried:
rpbcacueaiibh@Minisys:~/Blender 2.80.41$ ./blender --debug-gpu-force-workarounds
and I was getting a lot of X11 errors with the blender errors in the terminal so I thought I save the output into a file like this:
rpbcacueaiibh@Minisys:~/Blender 2.80.41$ ./blender --debug-gpu-force-workarounds > ~/Desktop/Output
but the file only contains the blender errors like so:

on Ubuntu 17.10:
Warning: Could not find a matching GPU name. Things may not behave as expected.
Detected OpenGL configuration:
Vendor: X.Org
Renderer: AMD ARUBA (DRM 2.50.0 / 4.13.0-46-generic, LLVM 5.0.0)

GPU: Bypassing workaround detection.
GPU: OpenGL identification strings
GPU: vendor: X.Org
GPU: renderer: AMD ARUBA (DRM 2.50.0 / 4.13.0-46-generic, LLVM 5.0.0)
GPU: version: 4.1 (Core Profile) Mesa 17.2.8

found bundled python: /home/rpbcacueaiibh/Blender 2.80.41/2.80/python
Saved session recovery to '/tmp/quit.blend'

Blender quit

on Ubuntu 18.04:
Warning: Could not find a matching GPU name. Things may not behave as expected.
Detected OpenGL configuration:
Vendor: X.Org
Renderer: AMD ARUBA (DRM 2.50.0 / 4.15.0-23-generic, LLVM 6.0.0)

GPU: Bypassing workaround detection.
GPU: OpenGL identification strings
GPU: vendor: X.Org
GPU: renderer: AMD ARUBA (DRM 2.50.0 / 4.15.0-23-generic, LLVM 6.0.0)
GPU: version: 4.3 (Core Profile) Mesa 18.0.5

found bundled python: /home/rpbcacueaiibh/Blender 2.80.41/2.80/python
Saved session recovery to '/tmp/quit.blend'

Blender quit

Anyway here's a sample of errors I'm getting in the terminal as well (just copy pasted):
Received X11 Error:
error code: 166
request code: 152
minor code: 34
error text: GLXBadFBConfig
Received X11 Error:
error code: 166
request code: 152
minor code: 34
error text: GLXBadFBConfig
Received X11 Error:
error code: 166
request code: 152
minor code: 34
error text: GLXBadFBConfig
Received X11 Error:
error code: 166
request code: 152
minor code: 34
error text: GLXBadFBConfig
Received X11 Error:
error code: 8
request code: 152
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 152
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 152
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 152
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 152
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 152
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 152
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 152
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 152
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 152
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 152
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 152
minor code: 34
error text: BadMatch (invalid parameter attributes)
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1
EE ../../../../../src/gallium/drivers/r600/r600_shader.c:183 r600_pipe_shader_create - translation from TGSI failed !
EE ../../../../../src/gallium/drivers/r600/r600_state_common.c:787 r600_shader_select - Failed to build shader variant (type=1) -1

This mess is on Ubuntu 17.10, on 18.04 I'm only getting the first part, the "Received X11 Error:" stuff but none of the EE ../../../ stuff.
I hope it helps!

It still gives me same result with build - blender-2.80-84c06e996a7a-win64
Nothing Changed on render

Clément Foucault (fclem) lowered the priority of this task from Normal to Needs Information from User.Mar 28 2019, 11:09 PM

@Tibor Áser Veres (RPBCACUEAIIBH) The message wasn't clear. Did --gpu-force-workaround change anything?

This is most likely an issue with the mesa driver. They have made quite a few improvement lately so maybe you could try the latest version.

Another thing is that you don't seem to use the dedicated gpu (Radeon) but the APU of the AMD processor. Try running blender with the former.

Just did an update for both ubuntu and blender and I still get some errors, but it works perfectly now. No white background when I select something, lookdev and rendered view displays everything correctly with renderer set to EEVEE, rendering works now, so does sculpting(I also couldn't sculpt before cause it didn't display the object well)...

Thanks for everything, and I'm available if you need me to test things on this machine.

OS: Ubuntu 18.04 (Updated 10minutes ago)
Blender: 2.80.52 (Hash: 99d4321feff6)
CPU: AMD A10 5800K@3.8GHz
Graphics: Trinity [Radeon HD 7660D] (Integrated graphics only There is no discrete GPU in the machine...)
RAM: 8GB DDR3@1866MHz

Output of --gpu-force-workaround:
Received X11 Error:
error code: 182
request code: 156
minor code: 34
error text: GLXBadFBConfig
Received X11 Error:
error code: 182
request code: 156
minor code: 34
error text: GLXBadFBConfig
Warning: Could not find a matching GPU name. Things may not behave as expected.
Detected OpenGL configuration:
Vendor: X.Org
Renderer: AMD ARUBA (DRM 2.50.0 / 4.15.0-23-generic, LLVM 7.0.0)

GPU: Bypassing workaround detection.
GPU: OpenGL identification strings
GPU: vendor: X.Org
GPU: renderer: AMD ARUBA (DRM 2.50.0 / 4.15.0-23-generic, LLVM 7.0.0)
GPU: version: 4.3 (Core Profile) Mesa 18.2.8

Received X11 Error:
error code: 8
request code: 156
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 156
minor code: 34
error text: BadMatch (invalid parameter attributes)
found bundled python: /home/rpbcacueaiibh/Blender 2.80.52/2.80/python
Received X11 Error:
error code: 8
request code: 156
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 156
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 156
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 156
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 156
minor code: 34
error text: BadMatch (invalid parameter attributes)
Received X11 Error:
error code: 8
request code: 156
minor code: 34
error text: BadMatch (invalid parameter attributes)
Saved session recovery to '/tmp/quit.blend'

Blender quit
Segmentation fault (core dumped)

Images:
Selected cube (no white background issue anymore)

Rendered view (with EEVEE)

Redered with F12

Clément Foucault (fclem) closed this task as Resolved.Mar 29 2019, 5:32 PM

So the bug is gone! Thanks for your report. The bad match errors are not real errors.